using SqlSugar;
using System.ComponentModel;
using XF.Domain.Repository;

namespace Hotline.CaseLibrary
{
    [Description("案例库收藏")]
    public class CaseCollect : FullStateEntity
    {
        /// <summary>
        /// 案例库ID
        /// </summary>
        [SugarColumn(ColumnDescription = "案例库ID")]
        public string CaseId { get; set; }

        /// <summary>
        /// 案例库
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(CaseId))]
        public CaseList Case { get; set; }

        /// <summary>
        /// 评分
        /// </summary>
        [SugarColumn(ColumnDescription = "评分")]
        public decimal? Score { get; set; } = decimal.Zero;

        /// <summary>
        /// 是否收藏
        /// </summary>
        [SugarColumn(ColumnDescription = "是否收藏")]
        public bool? Collect { get; set; }
    }
}
